Uses of Interface
com.eqixiac.equinix.fabric.model.Stream
Packages that use Stream
Package
Description
Fabric domain client interfaces for the Equinix Java SDK.
-
Uses of Stream in com.eqixiac.equinix.fabric.client
Methods in com.eqixiac.equinix.fabric.client that return StreamModifier and TypeMethodDescriptionRetrieves a single stream by its unique identifier.Methods in com.eqixiac.equinix.fabric.client that return types with arguments of type StreamModifier and TypeMethodDescriptionStreams.list()Lists all streams accessible to the current account.Streams.search(FilterPropertyList filter, SortPropertyList sort) Searches streams (POST /fabric/v4/streams/search), for example by/project/projectId,/uuidor/state. -
Uses of Stream in com.eqixiac.equinix.fabric.client.implementation
Methods in com.eqixiac.equinix.fabric.client.implementation that return StreamMethods in com.eqixiac.equinix.fabric.client.implementation that return types with arguments of type StreamModifier and TypeMethodDescriptionStreamsImpl.list()StreamsImpl.search(FilterPropertyList filter, SortPropertyList sort) -
Uses of Stream in com.eqixiac.equinix.fabric.client.internal.implementation
Subclasses with type arguments of type Stream in com.eqixiac.equinix.fabric.client.internal.implementationClasses in com.eqixiac.equinix.fabric.client.internal.implementation that implement interfaces with type arguments of type StreamMethods in com.eqixiac.equinix.fabric.client.internal.implementation that return Stream -
Uses of Stream in com.eqixiac.equinix.fabric.model.json.creators
Subclasses with type arguments of type Stream in com.eqixiac.equinix.fabric.model.json.creatorsMethods in com.eqixiac.equinix.fabric.model.json.creators that return StreamModifier and TypeMethodDescriptionStreamOperator.StreamBuilder.create()StreamOperator.StreamBuilder.save()Applies the accumulated changes to the existing stream (PUTcarrying the writablename/descriptionfields) and returns the model refreshed from the server.Methods in com.eqixiac.equinix.fabric.model.json.creators with parameters of type StreamModifier and TypeMethodDescriptionConstructor parameters in com.eqixiac.equinix.fabric.model.json.creators with type arguments of type Stream -
Uses of Stream in com.eqixiac.equinix.fabric.model.wrappers
Classes in com.eqixiac.equinix.fabric.model.wrappers that implement StreamSubclasses with type arguments of type Stream in com.eqixiac.equinix.fabric.model.wrappersConstructor parameters in com.eqixiac.equinix.fabric.model.wrappers with type arguments of type StreamModifierConstructorDescriptionStreamWrapper(StreamJson streamJson, Pageable<Stream> serviceClient)